uniform sampler2D tex2D;
uniform sampler2D tex2D2;
uniform vec4 textureBlend;

void main()
{
    gl_FragColor.rgba = mix(texture2D(tex2D, gl_TexCoord[0].xy), texture2D(tex2D2, gl_TexCoord[0].xy), textureBlend.x);
}
